apiVersion: apps/v1
kind: Deployment
metadata:
  name: simpleworker-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      component: worker
  template:
    metadata:
      labels:
        component: worker
    spec:
      containers:
        - name: worker
          image: testecx14/simplesf-worker
          env:
            - name: REDIS_HOST
              value: simpleredis-cluster-ip-service
            - name: REDIS_PORT
              value: '6379'
